#!/bin/bash

. _lib.sh

C=10

t() {
    if [ $DRIVER == "socketcan" ]; then
	ifconfig can0 txqueuelen $C
	ifconfig can1 txqueuelen $C
    fi
    PID_S=`vca_canping -s $C -b -R FF:$RTPRIO -d $CAN1`
    vca_canping -m $C -R FF:$RTPRIO -v -g $DRIVER -t 1 -d $CAN0 -w 500 -c 10
    kill $PID_S
}

#TESTS="lincan_virtual socketcan_virtual"

p() { cat <<EOF
set title 'RTT of highest prio message when opened $C times'
set logscale y
set grid
set xlabel 'Time [ms]'
set ylabel 'Latency profile [messages]'
plot [0:] 'socketcan-1000.dat' with lp title 'Socketcan',\
          'lincan-1000.dat' with lp title 'Lincan'
EOF
}
